domain
Api reference

Issue a browser connection token

POST
/v1/connections/{connectionId}/access-token

Issues a short-lived bearer token restricted to one connection and one exact browser origin.

Authorization

apiKeyAuth
x-api-key<token>

Server-only Domain0 API key. Never expose it in browser code.

In: header

Path Parameters

connectionId*string
Length1 <= length <= 200

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/connections/01J6F2N8H6N7M2Q4S5T6V7W8X9/access-token" \  -H "Content-Type: application/json" \  -d '{    "origin": "http://example.com"  }'
{  "accessToken": "string",  "tokenType": "Bearer",  "expiresAt": "2019-08-24T14:15:22Z"}